EDIT - feature request #6805

Implement drag and drop from Term Editor (Feature) to FeatureTreeEditor

07/12/2017 02:13 PM - Patrick Plitzner

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal

Description

Related issues:

Related to EDIT - feature request #6694 : Migrate FeatureTreeEditor Closed

Associated revisions

Revision 1cea32bb - 07/12/2017 03:21 PM - Patrick Plitzner
ref #6805 Remove e3 drag and drop adapters

Revision 5671445 - 07/12/2017 06:10 PM - Patrick Plitzner
ref #6805 code cleanup

Revision a901batle - 07/12/2017 06:11 PM - Patrick Plitzner
ref #6805 Avoid dragging of non term objects

Revision fa44b721 - 07/12/2017 06:12 PM - Patrick Plitzner
ref #6805 Add drag and drop from Feature Editor to FeatureTreeEditor

Revision 9092e20b - 11/30/2018 08:53 AM - Patrick Plitzner

ref #6805 Fix term dragging into feature tree editor

Revision 4914816d - 11/30/2018 08:54 AM - Patrick Plitzner
ref #6805 code cleanup

Revision 2350872a - 01/18/2019 03:15 PM - Patrick Plitzner

ref #6805 Only drop features from term editor to feature tree editor

Revision cdbebd17 - 01/18/2019 03:33 PM - Patrick Plitzner
ref #6805 i18n

Revision 625a06ea - 01/21/2019 03:33 PM - Patrick Plitzner
ref #6805 Set moved node as CDM entity for UpdateResult

Revision 5a532b70 - 01/21/2019 03:35 PM - Patrick Plitzner
fix #6805 Handle copy/move DND in operations

Revision ae2066bc - 02/06/2019 02:06 PM - Patrick Plitzner

ref #6805 Disallow dropping feature nodes above/below feature trees

Revision 353ce96b - 02/08/2019 12:03 PM - Patrick Plitzner

ref #6805 Fix DnD positioning when moving and adding new terms

Revision aa56d121 - 02/08/2019 12:06 PM - Patrick Plitzner

03/20/2024

1/16




ref #6805 Add position parameter to service method for adding child node

History

#1 - 07/12/2017 02:13 PM - Patrick Plitzner

- Status changed from New to In Progress

#2 - 07/12/2017 06:14 PM - Patrick Plitzner

- Status changed from In Progress to Resolved

- Assignee changed from Patrick Plitzner to Andreas Mliller

- % Done changed from 0 to 50

#3 - 07/21/2017 01:29 PM - Andreas Miiller

- Related to feature request #6694: Migrate FeatureTreeEditor added

#4 - 07/22/2017 08:54 AM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

In general it works, but when after opening the TaxEditor and then opening the feature tree editor and then opening the term editor for features | got
unexpected behavior and errors:

e The new feature did not show up in the feature tree (but after close and reopen it did)

¢ When trying to save it threw various exceptions
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine.java:1022)
at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)
at eu.etaxonomy.taxeditor.Application.start (Application. java:24)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134

at org.eclipse.

core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)
at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)
at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)
at org.eclipse.equinox.launcher.Main.run (Main.java:1519)
springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFilter. java:12

springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
eclipse.

.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)
.servlet.ServletHandler.doHandle (ServletHandler. java:585)
server.handler.ScopedHandler.handle (ScopedHandler. java:143)
security.SecurityHandler.handle (SecurityHandler. java:577)
server.session.SessionHandler.doHandle (SessionHandler. java:223)
server.handler.ContextHandler.doHandle (ContextHandler. java:1127)
servlet.ServletHandler.doScope (ServletHandler. java:515)
server.session.SessionHandler.doScope (SessionHandler. java:185)
server.handler.ContextHandler.doScope (ContextHandler. java:1061)
server.handler.ScopedHandler.handle (ScopedHandler. java:141)
server.handler.ContextHandlerCollection.handle (ContextHandlerCollection. java:215)
server.handler.HandlerWrapper.handle (HandlerWrapper. java:97)
server.Server.handle (Server.java:497)

server.HttpChannel.handle (HttpChannel. java:310)
server.HttpConnection.onFillable (HttpConnection. java:257)
io.AbstractConnection$2.run (AbstractConnection. java:540)
util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:635)
.util.thread.QueuedThreadPool$3.run (QueuedThreadPool. java:555)

java.lang.Thread.run (Thread. java:748)

org.springframework.remoting.support.RemoteInvocationUtils.fillInClientStackTracelfPossible (Remotelnvoc

at org.springframework.remoting.support.RemoteInvocationResult.recreate (RemoteInvocationResult.java:149)

at org.springframework.remoting.support.RemoteInvocationBasedAccessor.recreateRemoteInvocationResult (Remot
eInvocationBasedAccessor. java:85)
at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerClientIntercept

or.java:150)
at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:17

9)
at
at
at
at
at

org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy. java:208)
com.sun.proxy.$Proxy96.saveOrUpdate (Unknown Source)
eu.etaxonomy.taxeditor.featuretree.e4.FeatureTreeEditor.save (FeatureTreeEditor. java:181)

sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

java.lang.reflect.Method.invoke (Method. java:498)
org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)

49

more

another time it was

login

editor version

server

schema version

admin

4.

9.0

test.e-taxonomy.eu (edit-test) / rem_conf_am

4.7.0.0.201710040000

os : Windows Server 2012 R2 6.3 amdo64

java

1.8

.0_121

org.hibernate.NonUniqueObjectException: A different object with the same identifier value was already associat
[eu.etaxonomy.cdm.model.description.FeatureNode#91]
at org.hibernate.engine.internal.StatefulPersistenceContext.checkUniqueness (StatefulPersistenceContext.jav

ed with the session
internal.DefaultSaveOrUpdateEventListener.performUpdate (DefaultSaveOrUpdateEventLis

internal.DefaultSaveOrUpdateEventListener.entityIsDetached (DefaultSaveOrUpdateEvent

internal.DefaultSaveOrUpdateEventListener.performSaveOrUpdate (DefaultSaveOrUpdateEv

.internal.DefaultSaveOrUpdateEventListener.onSaveOrUpdate (DefaultSaveOrUpdateEventLi

internal.SessionImpl.fireSaveOrUpdate (SessionImpl. java:648)
internal.SessionImpl.saveOrUpdate (SessionImpl. java:640)
.spi.CascadingActions$5.cascade (CascadingActions. java:218)
.cascadeToOne (Cascade. java:398)
cascadeAssociation (Cascade. java:323)
event.internal.DefaultSaveOrUpdateEventListener.cascadeOnUpdate (DefaultSaveOrUpdateEventL
.cascadeToOne (Cascade. java:398)
cascadeAssociation (Cascade. java:323)
cascadeProperty (Cascade. java:162)
cascadeCollectionElements (Cascade.java:431)
.cascadeCollection (Cascade.java:363)
cascadeAssociation (Cascade. java:326)
cascadeProperty (Cascade.java:162)

cascade (Cascade.java:111)

cascade (Cascade.java:61)

internal.DefaultSaveOrUpdateEventListener.cascadeOnUpdate (DefaultSaveOrUpdateEventL

internal.DefaultSaveOrUpdateEventListener.performUpdate (DefaultSaveOrUpdateEventLis

.internal.DefaultSaveOrUpdateEventListener.entityIsDetached (DefaultSaveOrUpdateEvent

internal.DefaultSaveOrUpdateEventListener.performSaveOrUpdate (DefaultSaveOrUpdateEv

internal.DefaultSaveOrUpdateEventListener.onSaveOrUpdate (DefaultSaveOrUpdateEventLi

internal.SessionImpl.fireSaveOrUpdate (SessionImpl. java:648)
internal.SessionImpl.saveOrUpdate (SessionImpl.java:640)
Cascade.
Cascade.
Cascade.

.cascadeToOne (Cascade. java:398)
cascadeAssociation (Cascade. java:323)
cascadeProperty (Cascade.java:162)
cascade (Cascade.java:111)

cascade (Cascade.java:61)

internal.DefaultSaveOrUpdateEventListener.cascadeOnUpdate (DefaultSaveOrUpdateEventL

internal.DefaultSaveOrUpdateEventListener.performUpdate (DefaultSaveOrUpdateEventLis

.internal.DefaultSaveOrUpdateEventListener.entityIsDetached (DefaultSaveOrUpdateEvent

internal.DefaultSaveOrUpdateEventListener.performSaveOrUpdate (DefaultSaveOrUpdateEv

internal.DefaultSaveOrUpdateEventListener.onSaveOrUpdate (DefaultSaveOrUpdateEventLi

internal.SessionImpl.fireSaveOrUpdate (SessionImpl. java:648)
internal.SessionImpl.saveOrUpdate (SessionImpl. java:640)

internal.SessionImpl.saveOrUpdate (SessionImpl. java:635)
at eu.etaxonomy.cdm.persistence.dao.hibernate.common.CdmEntityDaoBase.saveOrUpdate (CdmEntityDaoBase. java:3

at eu.etaxonomy.cdm.api.service.ServiceBase.saveOrUpdate (ServiceBase. java:274)
at eu.etaxonomy.cdm.api.service.ServiceBase.saveOrUpdate (ServiceBase. java:35)
at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokedJoinpoint (ReflectiveMethodInvocation
.Java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:15
7)

at org.springframework.transaction.interceptor.TransactionInterceptor$l.proceedWithInvocation (TransactionI
nterceptor. java:99)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction (Transactio
nAspectSupport. java:281)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterceptor.java:9
6)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:17
9)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.$Proxy703.saveOrUpdate (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invoke0 (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMethodInvocation
.java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:15
7)

at org.springframework.remoting.support.RemoteInvocationTracelnterceptor.invoke (RemoteInvocationTracelnter
ceptor.java:78)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:17
9)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy968.saveOrUpdate (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.remoting.support.RemoteInvocation.invoke (RemoteInvocation. java:212)

at org.springframework.remoting.support.DefaultRemoteInvocationExecutor.invoke (DefaultRemotelInvocationExec
utor.java:39)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invoke (RemoteInvocationBasedExporter
.Java:78)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invokeAndCreateResult (RemoteInvocati
onBasedExporter. java:114)

at org.springframework.remoting.httpinvoker.HttpInvokerServiceExporter.handleRequest (HttpInvokerServiceExp
orter.java:74)

at org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter.handle (HttpRequestHandlerAdapter. java:51)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.java:959)

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet.java:893)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet. java:969)

at org.springframework.web.servlet.FrameworkServlet.doPost (FrameworkServlet.java:871)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:707)

at org.springframework.web.servlet.FrameworkServlet.service (FrameworkServlet. java:845)

at javax.servlet.http.HttpServlet.service (HttpServlet. java:790)

at org.eclipse. jetty.servlet.ServletHolder.handle (ServletHolder. java:808)

at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1669)

at org.springframework.security.web.FilterChainProxys$VirtualFilterChain.doFilter (FilterChainProxy.java:316

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke (FilterSecurityInterc
eptor.java:126)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter (FilterSecurityInte
rceptor. java:90)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter (ExceptionTranslationFilter.
Java:114)
at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330

at org.springframework.security.web.session.SessionManagementFilter.doFilter (SessionManagementFilter. java:
122)
at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330

at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter (SecurityCo

ntextHolderAwareRequestFilter. java:169)
at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330
at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestCacheAwareFilter.
java:48)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:330

at org.springframework.security.web.authentication.www.BasicAuthenticationFilter.doFilterInternal (BasicAut

henticationFilter. java:213)
eclipse.
t.ServletHandler.doHandle (ServletHandler. java:585)
.handler.ScopedHandler.handle (ScopedHandler. java:143)
ty.SecurityHandler.handle (SecurityHandler.java:577)
.session.SessionHandler.doHandle (SessionHandler. java:223)
.handler.ContextHandler.doHandle (ContextHandler.java:1127)
t.ServletHandler.doScope (ServletHandler. java:515)
.session.SessionHandler.doScope (SessionHandler. java:185)
handler.ContextHandler.doScope (ContextHandler. java:1061)
handler.ScopedHandler.handle (ScopedHandler. java:141)
handler.ContextHandlerCollection.handle (ContextHandlerCollection. java:215)
handler.HandlerWrapper.handle (HandlerWrapper. java:97)
Server.handle (Server. java:497)

HttpChannel.handle (HttpChannel. java:310)
HttpConnection.onFillable (HttpConnection. java:257)
tractConnection$2.run (AbstractConnection. java:540)
hread.QueuedThreadPool.runJob (QueuedThreadPool. java:635)
hread.QueuedThreadPool$3. run (QueuedThreadPool. java:555)

.springframework.remoting.support.RemoteInvocationResult.recreate (RemoteInvocationResult.java:149)
.springframework.remoting.support.RemoteInvocationBasedAccessor.recreateRemotelInvocationResult (Remot

eInvocationBasedAccessor. java:85)
at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerClientIntercept
or.java:150)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:17

9)
at
at
at
at
at
at
at
at
at
at
at
at
at

org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

com.sun.proxy.$Proxy94.saveOrUpdate (Unknown Source)
eu.etaxonomy.taxeditor.featuretree.ed4.FeatureTreeEditor.save (FeatureTreeEditor. java:181)
eu.etaxonomy.taxeditor.featuretree.ed4.FeatureTreeEditors$l.widgetSelected (FeatureTreeEditor. java:98)
.eclipse.
eclipse.
eclipse.

org

org.
org.
.eclipse.
eclipse.
eclipse.

org

org.
org.

.eclipse.
eclipse.
swt
swt

swt
swt

.widgets.
.widgets.
swt.

widgets.

.widgets.
.widgets.
swt.

widgets.

TypedListener.handleEvent (TypedListener. java:249)
EventTable.sendEvent (EventTable. java:84)
Display.sendEvent (Display.java:4418)

Widget .sendEvent (Widget. java:1079)
Display.runDeferredEvents (Display.java:4236)
Display.readAndDispatch (Display.java:3824)

e4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java:1121)
core.databinding.observable.Realm.runWithDefault (Realm. java:336)
e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1022)
at org.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application.java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLauncher. java:134

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher.java:104)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

#5 - 11/30/2018 08:55 AM - Patrick Plitzner

- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Andreas Muiller
- Target version changed from Release 4.9 to Release 5.5

- % Done changed from 50 to 80

#6 - 01/14/2019 04:48 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Patrick Plitzner

Currently dropping is also allowed for other term types, e.g. NamedArea, but after drop a CCE is thrown. We should allow only for Features and
Subclasses (Characters).

login : admin

editor version : 5.5.0.201901141348

server : test.e-taxonomy.eu (edit-test) / rem_conf_am

schema version : 5.0.0.0.20180514

os : Windows Server 2012 R2 6.3 amd64

java :1.8.0_121

java.lang.ClassCastException: eu.etaxonomy.cdm.model.location.NamedArea cannot be cast to eu.etaxonomy.cdm.model.description.Feature
at eu.etaxonomy.taxeditor.featuretree.e4.FeatureTreeDropAdapter.performDrop(FeatureTreeDropAdapter.java:133)
at org.eclipse.jface.viewers.ViewerDropAdapter.drop(ViewerDropAdapter.java:254)

at org.eclipse.swt.dnd.DNDListener.handleEvent(DNDListener.java:91)

at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)

at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)

at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1103)

at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1088)

at org.eclipse.swt.widgets.Widget.notifyListeners(Widget.java:802)

at org.eclipse.swt.dnd.DropTarget.Drop(DropTarget.java:472)

at org.eclipse.swt.dnd.DropTarget.Drop_64(DropTarget.java:406)

at org.eclipse.swt.dnd.DropTarget$3.method6(DropTarget.java:270)

at org.eclipse.swt.internal.ole.win32.COMObject.callback6(COMODbject.java:119)

at org.eclipse.swt.internal.ole.win32.COM.DoDragDrop(Native Method)

at org.eclipse.swt.dnd.DragSource.drag(DragSource.java:378)

at org.eclipse.swt.dnd.DragSource.access$0(DragSource.java:304)

at org.eclipse.swt.dnd.DragSource$1.handleEvent(DragSource.java:173)

at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)

at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)

at org.eclipse.ui.internal. Workbench$5.run(Workbench.java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)

at org.eclipse.ui.internal. Workbench.createAndRunWorkbench(Workbench.java:610)

at org.eclipse.ui.PlatformUl.createAndRunWorkbench(PlatformUl.java:148)

03/20/2024 10/16



at eu.etaxonomy.taxeditor.Application.start(Application.java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)

at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorlmpl.invoke(NativeMethodAccessorlmpl.java:62)

at sun.reflect.DelegatingMethodAccessorimpl.invoke(DelegatingMethodAccessorimpl.java:43)

at java.lang.reflect.Method.invoke(Method.java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)

at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)

at org.eclipse.equinox.launcher.Main.run(Main.java:1519)

#7 - 01/14/2019 04:54 PM - Andreas Miiller

When first d&d a term from term editor and then d&d it within the tree editor the Ul is not updated during the second step though the operation takes
place (after reopening the tree editor you can see this). Also other d&d operations in the tree editor do not update the Ul anymore after the first step.

#8 - 01/18/2019 03:56 PM - Patrick Plitzner

Andreas Muller wrote:

Currently dropping is also allowed for other term types, e.g. NamedArea, but after drop a CCE is thrown. We should allow only for Features and

Subclasses (Characters).

this is fixed

#9 - 01/21/2019 03:35 PM - Patrick Plitzner
- Status changed from Feedback to Resolved

- % Done changed from 80 to 50

Applied in changeset taxeditor|5a532b70ff0f4c61695c85cfcObc4c06fdeef921.

#10 - 01/21/2019 03:36 PM - Patrick Plitzner
- Assignee changed from Patrick Plitzner to Andreas Miiller

- % Done changed from 50 to 80

Andreas Muller wrote:

When first d&d a term from term editor and then d&d it within the tree editor the Ul is not updated during the second step though the operation
takes place (after reopening the tree editor you can see this). Also other d&d operations in the tree editor do not update the Ul anymore after the

first step.

this should also be fixed now

#11 - 01/27/2019 12:54 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Patrick Plitzner

Andreas Muller wrote:

Currently dropping is also allowed for other term types, e.g. NamedArea, but after drop a CCE is thrown. We should allow only for Features and

Subclasses (Characters).

login : admin

editor version : 5.5.0.201901141348

server : test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version : 5.0.0.0.20180514

os : Windows Server 2012 R2 6.3 amd64

java :1.8.0_121

java.lang.ClassCastException: eu.etaxonomy.cdm.model.location.NamedArea cannot be cast to eu.etaxonomy.cdm.model.description.Feature

at eu.etaxonomy.taxeditor.featuretree.e4.FeatureTreeDropAdapter.performDrop(Feature TreeDropAdapter.java:133)

at org.eclipse.jface.viewers.ViewerDropAdapter.drop(ViewerDropAdapter.java:254)

This is not yet fixed.
#12 - 01/27/2019 01:01 PM - Andreas Miiller

If dropping a feature directly above a vocabulary it is added at the end of the vocabulary. If at all allowed to drop there | would expect to put it to the
end of the above vocabulary. Also dropping a term to the white area below the last term gives a warning dialog (with no text, only warning symbol).

Generally it should be forbidden to drag a term to the top level as this is only for vocabularies not for terms. | think we have discussed this elsewhere
but for some reasons it is not in this ticket.

#13 - 01/30/2019 11:56 AM - Patrick Plitzner

Andreas Muller wrote:

If dropping a feature directly above a vocabulary it is added at the end of the vocabulary. If at all allowed to drop there | would expect to put it to
the end of the above vocabulary. Also dropping a term to the white area below the last term gives a warning dialog (with no text, only warning
symbol).

Generally it should be forbidden to drag a term to the top level as this is only for vocabularies not for terms. | think we have discussed this
elsewhere but for some reasons it is not in this ticket.

This was mentioned here -> #7887

#14 - 02/01/2019 11:59 AM - Patrick Plitzner
- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Andreas Miiller

Andreas Muller wrote:
Andreas Muller wrote:

Currently dropping is also allowed for other term types, e.g. NamedArea, but after drop a CCE is thrown. We should allow only for Features
and Subclasses (Characters).

login : admin

editor version : 5.5.0.201901141348

server : test.e-taxonomy.eu (edit-test) / rem_conf_am

schema version : 5.0.0.0.20180514

os : Windows Server 2012 R2 6.3 amd64

java :1.8.0_121

java.lang.ClassCastException: eu.etaxonomy.cdm.model.location.NamedArea cannot be cast to
eu.etaxonomy.cdm.model.description.Feature

at eu.etaxonomy.taxeditor.featuretree.e4.FeatureTreeDropAdapter.performDrop(Feature TreeDropAdapter.java:133)
at org.eclipse.jface.viewers.ViewerDropAdapter.drop(ViewerDropAdapter.java:254)

This is not yet fixed.

This should have already have been fixed and works for me.

All issues should be fixed now.

#15 - 02/04/2019 12:56 PM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Patrick Plitzner

Patrick Plitzner wrote:

Andreas Muller wrote:

If dropping a feature directly above a vocabulary it is added at the end of the vocabulary. If at all allowed to drop there | would expect to put
it to the end of the above vocabulary. Also dropping a term to the white area below the last term gives a warning dialog (with no text, only
warning symbol).
Generally it should be forbidden to drag a term to the top level as this is only for vocabularies not for terms. | think we have discussed this

elsewhere but for some reasons it is not in this ticket.

This was mentioned here -> #7887
This is fixed now in #7887 in term editor but is still open here.

#16 - 02/04/2019 12:58 PM - Andreas Miiller

Patrick Plitzner wrote:
Andreas Muller wrote:
Andreas Mller wrote:

Currently dropping is also allowed for other term types, e.g. NamedArea, but after drop a CCE is thrown. We should allow only for
Features and Subclasses (Characters).

login : admin

editor version : 5.5.0.201901141348

server : test.e-taxonomy.eu (edit-test) / rem_conf_am

schema version : 5.0.0.0.20180514

os : Windows Server 2012 R2 6.3 amd64

java:1.8.0_121

java.lang.ClassCastException: eu.etaxonomy.cdm.model.location.NamedArea cannot be cast to
eu.etaxonomy.cdm.model.description.Feature

at eu.etaxonomy.taxeditor.featuretree.e4.FeatureTreeDropAdapter.performDrop(Feature TreeDropAdapter.java:133)
at org.eclipse.jface.viewers.ViewerDropAdapter.drop(ViewerDropAdapter.java:254)

This is not yet fixed.

This should have already have been fixed and works for me.

This is generally fixed now. | only wonder if we need a dialog saying this is not possible. Can't we do the check on the fly when showing the symbol if

something can be dropped at the given position or not. Usually the Ul shows a "not allowed" symbol and does not react to drop instead of showing
dialogs afterwards.

#17 - 02/06/2019 02:06 PM - Patrick Plitzner

Disallow dropping feature nodes above/below feature trees

#18 - 02/07/2019 01:36 PM - Andreas Miiller
- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Andreas Muiller

#19 - 02/07/2019 02:26 PM - Patrick Plitzner
- Assignee changed from Andreas Miiller to Patrick Plitzner
Andreas Miller wrote:
| only wonder if we need a dialog saying this is not possible. Can't we do the check on the fly when showing the symbol if something can be

dropped at the given position or not. Usually the Ul shows a "not allowed" symbol and does not react to drop instead of showing dialogs
afterwards.

| tested but could not solve this problem quickly as the DnD API does not offer a simple method for that. Created a new ticket for that -> #8078

#20 - 02/07/2019 02:26 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Mliller

#21 - 02/07/2019 06:36 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

When d&d a feature to a certain position now from term editor it is added to the end, not at the correct position. D&D within the feature tree editor
works then. But this is only a work around.

#22 - 02/07/2019 06:37 PM - Andreas Miiller

Patrick Plitzner wrote:
Andreas Miiller wrote:
| only wonder if we need a dialog saying this is not possible. Can't we do the check on the fly when showing the symbol if something can be

dropped at the given position or not. Usually the Ul shows a "not allowed" symbol and does not react to drop instead of showing dialogs
afterwards.

| tested but could not solve this problem quickly as the DnD API does not offer a simple method for that. Created a new ticket for that -> #8078

This seems to work now. Did you find a solution? Is #8078 still needed (or solved already)?
#23 - 02/08/2019 11:32 AM - Patrick Plitzner
Andreas Miller wrote:
Patrick Plitzner wrote:
Andreas Miiller wrote:
| only wonder if we need a dialog saying this is not possible. Can't we do the check on the fly when showing the symbol if something

can be dropped at the given position or not. Usually the Ul shows a "not allowed" symbol and does not react to drop instead of
showing dialogs afterwards.

| tested but could not solve this problem quickly as the DnD API does not offer a simple method for that. Created a new ticket for that ->
#8078

This seems to work now. Did you find a solution? Is #8078 still needed (or solved already)?

| did not change anything there. The evaluation is still done at drop time, isn't it?

#24 - 02/08/2019 12:06 PM - Patrick Plitzner
- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Andreas Miiller
Andreas Milller wrote:
When d&d a feature to a certain position now from term editor it is added to the end, not at the correct position. D&D within the feature tree editor

works then. But this is only a work around.

This is fixed

#25 - 02/08/2019 06:56 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Patrick Plitzner

- Priority changed from New to Highest

Now | get an error dialog "The connection to the server could not be established because the access was denied". This only happens when D&D from
Termeditor(Feature) to FeatureTree-Editor everything else seems to work. | worked on test/rem_conf_am as admin.

It even happened after restarting the TaxEditor and is reproducable.
#26 - 02/08/2019 06:59 PM - Andreas Miiller
Patrick Plitzner wrote:
Andreas Muller wrote:
Patrick Plitzner wrote:
Andreas Miiller wrote:
| only wonder if we need a dialog saying this is not possible. Can't we do the check on the fly when showing the symbol if

something can be dropped at the given position or not. Usually the Ul shows a "not allowed" symbol and does not react to drop
instead of showing dialogs afterwards.
| tested but could not solve this problem quickly as the DnD API does not offer a simple method for that. Created a new ticket for that
-> #8078

This seems to work now. Did you find a solution? Is #8078 still needed (or solved already)?

| did not change anything there. The evaluation is still done at drop time, isn't it?

No it seems to be done during mouse over (and shows the forbidden symbol), when dropping anyway nothing happens.

#27 - 02/11/2019 08:21 AM - Patrick Plitzner
- File picture008-2.png added
Andreas Muller wrote:

Now | get an error dialog "The connection to the server could not be established because the access was denied". This only happens when D&D
from Termeditor(Feature) to FeatureTree-Editor everything else seems to work. | worked on test/rem_conf_am as admin.

It even happened after restarting the TaxEditor and is reproducable.

| just tried and it worked for me. | dragged the Feature "Abstract" into the FeatureTree "Test" by dropping it directly onto the tree. | also dropped
"Acknowledgements" between "Citation Diagnosis" and "Etymology".
#28 - 02/11/2019 08:27 AM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Miiller
#29 - 02/11/2019 08:29 AM - Patrick Plitzner

Andreas Mdller wrote:

Patrick Plitzner wrote:
Andreas Muller wrote:
Patrick Plitzner wrote:
Andreas Muller wrote:
| only wonder if we need a dialog saying this is not possible. Can't we do the check on the fly when showing the symbol if

something can be dropped at the given position or not. Usually the Ul shows a "not allowed" symbol and does not react to
drop instead of showing dialogs afterwards.
| tested but could not solve this problem quickly as the DnD API does not offer a simple method for that. Created a new ticket for
that -> #8078

This seems to work now. Did you find a solution? Is #8078 still needed (or solved already)?

| did not change anything there. The evaluation is still done at drop time, isn't it?

No it seems to be done during mouse over (and shows the forbidden symbol), when dropping anyway nothing happens.

For me this has not changed. | can still drop a NamedArea into a FeatureTree which then brings up a dialog saying that it does not work.

#30 - 02/11/2019 10:43 PM - Andreas Miiller
- Status changed from Feedback to Closed
- Assignee changed from Andreas Muiller to Patrick Plitzner

- % Done changed from 80 to 100

| also can't reproduce it anymore, so | think we can close the ticket, open again if it reappears.
